<?php

namespace Strig\Category;

use Psr\Container\ContainerInterface;
use Mezzio\MiddlewareContainer;

class CategoryMiddlewareFactory
{

    /**
     * @param ContainerInterface $container
     * @return CategoryMiddleware
     */
    public function __invoke(ContainerInterface $container)
    {
        return new CategoryMiddleware(
            $container,
            $container->get(MiddlewareContainer::class)
        );
    }
}
